import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:functions/src/core/providers/functions_repository_provider.dart';
import 'package:functions/src/features/contacts/domain/get_contacts_use_case.dart';
import 'package:functions/src/features/contacts/domain/get_contacts_use_case_impl.dart';

final getContactsUseCaseProvider = Provider.autoDispose<GetContactsUseCase>((ref) {
  final functionsRepository = ref.read(functionsRepositoryProvider);
  return GetContactsUseCaseImpl(functionsRepository);
});
